import { Feature } from "../../private/Feature";
export declare class FastReset extends Feature {
    private enabled;
    private readonly postRender;
    /**
     * Enables the fast-reset feature, which allows you to restart the game instantaneously. If this
     * behavior is desired, call this function once at the beginning of your mod.
     *
     * This is useful for debugging, when you are resetting the game often.
     *
     * You can disable the fast-reset feature with the `disableFastReset` function.
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.FAST_RESET`.
     */
    enableFastReset(): void;
    /**
     * Disables the fast-reset feature. Only useful if you have previously called the
     * `enableFastReset` function.
     *
     * In order to use this function, you must upgrade your mod with `ISCFeature.FAST_RESET`.
     */
    disableFastReset(): void;
}
//# sourceMappingURL=FastReset.d.ts.map