export declare const DEFAULT_COLLECTIBLE_NAME = "Unknown";
/**
 * Maps collectible types to the real English names from the "stringtable.sta" file.
 *
 * For a mapping of name to `CollectibleType`, see `COLLECTIBLE_NAME_TO_TYPE_MAP`.
 */
export declare const COLLECTIBLE_NAMES: {
    readonly 0: "Unknown";
    readonly 1: "The Sad Onion";
    readonly 2: "The Inner Eye";
    readonly 3: "Spoon Bender";
    readonly 4: "Cricket's Head";
    readonly 5: "My Reflection";
    readonly 6: "Number One";
    readonly 7: "Blood of the Martyr";
    readonly 8: "Brother Bobby";
    readonly 9: "Skatole";
    readonly 10: "Halo of Flies";
    readonly 11: "1up!";
    readonly 12: "Magic Mushroom";
    readonly 13: "The Virus";
    readonly 14: "Roid Rage";
    readonly 15: "<3";
    readonly 16: "Raw Liver";
    readonly 17: "Skeleton Key";
    readonly 18: "A Dollar";
    readonly 19: "Boom!";
    readonly 20: "Transcendence";
    readonly 21: "The Compass";
    readonly 22: "Lunch";
    readonly 23: "Dinner";
    readonly 24: "Dessert";
    readonly 25: "Breakfast";
    readonly 26: "Rotten Meat";
    readonly 27: "Wooden Spoon";
    readonly 28: "The Belt";
    readonly 29: "Mom's Underwear";
    readonly 30: "Mom's Heels";
    readonly 31: "Mom's Lipstick";
    readonly 32: "Wire Coat Hanger";
    readonly 33: "The Bible";
    readonly 34: "The Book of Belial";
    readonly 35: "The Necronomicon";
    readonly 36: "The Poop";
    readonly 37: "Mr. Boom";
    readonly 38: "Tammy's Head";
    readonly 39: "Mom's Bra";
    readonly 40: "Kamikaze!";
    readonly 41: "Mom's Pad";
    readonly 42: "Bob's Rotten Head";
    readonly 44: "Teleport!";
    readonly 45: "Yum Heart";
    readonly 46: "Lucky Foot";
    readonly 47: "Doctor's Remote";
    readonly 48: "Cupid's Arrow";
    readonly 49: "Shoop da Whoop!";
    readonly 50: "Steven";
    readonly 51: "Pentagram";
    readonly 52: "Dr. Fetus";
    readonly 53: "Magneto";
    readonly 54: "Treasure Map";
    readonly 55: "Mom's Eye";
    readonly 56: "Lemon Mishap";
    readonly 57: "Distant Admiration";
    readonly 58: "Book of Shadows";
    readonly 59: "The Book of Belial";
    readonly 60: "The Ladder";
    readonly 62: "Charm of the Vampire";
    readonly 63: "The Battery";
    readonly 64: "Steam Sale";
    readonly 65: "Anarchist Cookbook";
    readonly 66: "The Hourglass";
    readonly 67: "Sister Maggy";
    readonly 68: "Technology";
    readonly 69: "Chocolate Milk";
    readonly 70: "Growth Hormones";
    readonly 71: "Mini Mush";
    readonly 72: "Rosary";
    readonly 73: "Cube of Meat";
    readonly 74: "A Quarter";
    readonly 75: "PHD";
    readonly 76: "X-Ray Vision";
    readonly 77: "My Little Unicorn";
    readonly 78: "Book of Revelations";
    readonly 79: "The Mark";
    readonly 80: "The Pact";
    readonly 81: "Dead Cat";
    readonly 82: "Lord of the Pit";
    readonly 83: "The Nail";
    readonly 84: "We Need To Go Deeper!";
    readonly 85: "Deck of Cards";
    readonly 86: "Monstro's Tooth";
    readonly 87: "Loki's Horns";
    readonly 88: "Little Chubby";
    readonly 89: "Spider Bite";
    readonly 90: "The Small Rock";
    readonly 91: "Spelunker Hat";
    readonly 92: "Super Bandage";
    readonly 93: "The Gamekid";
    readonly 94: "Sack of Pennies";
    readonly 95: "Robo-Baby";
    readonly 96: "Little C.H.A.D.";
    readonly 97: "The Book of Sin";
    readonly 98: "The Relic";
    readonly 99: "Little Gish";
    readonly 100: "Little Steven";
    readonly 101: "The Halo";
    readonly 102: "Mom's Bottle of Pills";
    readonly 103: "The Common Cold";
    readonly 104: "The Parasite";
    readonly 105: "The D6";
    readonly 106: "Mr. Mega";
    readonly 107: "The Pinking Shears";
    readonly 108: "The Wafer";
    readonly 109: "Money = Power";
    readonly 110: "Mom's Contacts";
    readonly 111: "The Bean";
    readonly 112: "Guardian Angel";
    readonly 113: "Demon Baby";
    readonly 114: "Mom's Knife";
    readonly 115: "Ouija Board";
    readonly 116: "9 Volt";
    readonly 117: "Dead Bird";
    readonly 118: "Brimstone";
    readonly 119: "Blood Bag";
    readonly 120: "Odd Mushroom";
    readonly 121: "Odd Mushroom";
    readonly 122: "Whore of Babylon";
    readonly 123: "Monster Manual";
    readonly 124: "Dead Sea Scrolls";
    readonly 125: "Bobby-Bomb";
    readonly 126: "Razor Blade";
    readonly 127: "Forget Me Now";
    readonly 128: "Forever Alone";
    readonly 129: "Bucket of Lard";
    readonly 130: "A Pony";
    readonly 131: "Bomb Bag";
    readonly 132: "A Lump of Coal";
    readonly 133: "Guppy's Paw";
    readonly 134: "Guppy's Tail";
    readonly 135: "IV Bag";
    readonly 136: "Best Friend";
    readonly 137: "Remote Detonator";
    readonly 138: "Stigmata";
    readonly 139: "Mom's Purse";
    readonly 140: "Bob's Curse";
    readonly 141: "Pageant Boy";
    readonly 142: "Scapular";
    readonly 143: "Speed Ball";
    readonly 144: "Bum Friend";
    readonly 145: "Guppy's Head";
    readonly 146: "Prayer Card";
    readonly 147: "Notched Axe";
    readonly 148: "Infestation";
    readonly 149: "Ipecac";
    readonly 150: "Tough Love";
    readonly 151: "The Mulligan";
    readonly 152: "Technology 2";
    readonly 153: "Mutant Spider";
    readonly 154: "Chemical Peel";
    readonly 155: "The Peeper";
    readonly 156: "Habit";
    readonly 157: "Bloody Lust";
    readonly 158: "Crystal Ball";
    readonly 159: "Spirit of the Night";
    readonly 160: "Crack the Sky";
    readonly 161: "Ankh";
    readonly 162: "Celtic Cross";
    readonly 163: "Ghost Baby";
    readonly 164: "The Candle";
    readonly 165: "Cat-o-nine-tails";
    readonly 166: "D20";
    readonly 167: "Harlequin Baby";
    readonly 168: "Epic Fetus";
    readonly 169: "Polyphemus";
    readonly 170: "Daddy Longlegs";
    readonly 171: "Spider Butt";
    readonly 172: "Sacrificial Dagger";
    readonly 173: "Mitre";
    readonly 174: "Rainbow Baby";
    readonly 175: "Dad's Key";
    readonly 176: "Stem Cells";
    readonly 177: "Portable Slot";
    readonly 178: "Holy Water";
    readonly 179: "Fate";
    readonly 180: "The Black Bean";
    readonly 181: "White Pony";
    readonly 182: "Sacred Heart";
    readonly 183: "Tooth Picks";
    readonly 184: "Holy Grail";
    readonly 185: "Dead Dove";
    readonly 186: "Blood Rights";
    readonly 187: "Guppy's Hairball";
    readonly 188: "Abel";
    readonly 189: "SMB Super Fan";
    readonly 190: "Pyro";
    readonly 191: "3 Dollar Bill";
    readonly 192: "Telepathy For Dummies";
    readonly 193: "MEAT!";
    readonly 194: "Magic 8 Ball";
    readonly 195: "Mom's Coin Purse";
    readonly 196: "Squeezy";
    readonly 197: "Jesus Juice";
    readonly 198: "Box";
    readonly 199: "Mom's Key";
    readonly 200: "Mom's Eyeshadow";
    readonly 201: "Iron Bar";
    readonly 202: "Midas' Touch";
    readonly 203: "Humbleing Bundle";
    readonly 204: "Fanny Pack";
    readonly 205: "Sharp Plug";
    readonly 206: "Guillotine";
    readonly 207: "Ball of Bandages";
    readonly 208: "Champion Belt";
    readonly 209: "Butt Bombs";
    readonly 210: "Gnawed Leaf";
    readonly 211: "Spiderbaby";
    readonly 212: "Guppy's Collar";
    readonly 213: "Lost Contact";
    readonly 214: "Anemic";
    readonly 215: "Goat Head";
    readonly 216: "Ceremonial Robes";
    readonly 217: "Mom's Wig";
    readonly 218: "Placenta";
    readonly 219: "Old Bandage";
    readonly 220: "Sad Bombs";
    readonly 221: "Rubber Cement";
    readonly 222: "Anti-Gravity";
    readonly 223: "Pyromaniac";
    readonly 224: "Cricket's Body";
    readonly 225: "Gimpy";
    readonly 226: "Black Lotus";
    readonly 227: "Piggy Bank";
    readonly 228: "Mom's Perfume";
    readonly 229: "Monstro's Lung";
    readonly 230: "Abaddon";
    readonly 231: "Ball of Tar";
    readonly 232: "Stop Watch";
    readonly 233: "Tiny Planet";
    readonly 234: "Infestation 2";
    readonly 236: "E. Coli";
    readonly 237: "Death's Touch";
    readonly 238: "Key Piece 1";
    readonly 239: "Key Piece 2";
    readonly 240: "Experimental Treatment";
    readonly 241: "Contract from Below";
    readonly 242: "Infamy";
    readonly 243: "Trinity Shield";
    readonly 244: "Tech.5";
    readonly 245: "20/20";
    readonly 246: "Blue Map";
    readonly 247: "BFFS!";
    readonly 248: "Hive Mind";
    readonly 249: "There's Options";
    readonly 250: "BOGO Bombs";
    readonly 251: "Starter Deck";
    readonly 252: "Little Baggy";
    readonly 253: "Magic Scab";
    readonly 254: "Blood Clot";
    readonly 255: "Screw";
    readonly 256: "Hot Bombs";
    readonly 257: "Fire Mind";
    readonly 258: "Missing No.";
    readonly 259: "Dark Matter";
    readonly 260: "Black Candle";
    readonly 261: "Proptosis";
    readonly 262: "Missing Page 2";
    readonly 263: "Clear Rune";
    readonly 264: "Smart Fly";
    readonly 265: "Dry Baby";
    readonly 266: "Juicy Sack";
    readonly 267: "Robo-Baby 2.0";
    readonly 268: "Rotten Baby";
    readonly 269: "Headless Baby";
    readonly 270: "Leech";
    readonly 271: "Mystery Sack";
    readonly 272: "BBF";
    readonly 273: "Bob's Brain";
    readonly 274: "Best Bud";
    readonly 275: "Lil Brimstone";
    readonly 276: "Isaac's Heart";
    readonly 277: "Lil Haunt";
    readonly 278: "Dark Bum";
    readonly 279: "Big Fan";
    readonly 280: "Sissy Longlegs";
    readonly 281: "Punching Bag";
    readonly 282: "How to Jump";
    readonly 283: "D100";
    readonly 284: "D4";
    readonly 285: "D10";
    readonly 286: "Blank Card";
    readonly 287: "Book of Secrets";
    readonly 288: "Box of Spiders";
    readonly 289: "Red Candle";
    readonly 290: "The Jar";
    readonly 291: "Flush!";
    readonly 292: "Satanic Bible";
    readonly 293: "Head of Krampus";
    readonly 294: "Butter Bean";
    readonly 295: "Magic Fingers";
    readonly 296: "Converter";
    readonly 297: "Pandora's Box";
    readonly 298: "Unicorn Stump";
    readonly 299: "Taurus";
    readonly 300: "Aries";
    readonly 301: "Cancer";
    readonly 302: "Leo";
    readonly 303: "Virgo";
    readonly 304: "Libra";
    readonly 305: "Scorpio";
    readonly 306: "Sagittarius";
    readonly 307: "Capricorn";
    readonly 308: "Aquarius";
    readonly 309: "Pisces";
    readonly 310: "Eve's Mascara";
    readonly 311: "Judas' Shadow";
    readonly 312: "Maggy's Bow";
    readonly 313: "Holy Mantle";
    readonly 314: "Thunder Thighs";
    readonly 315: "Strange Attractor";
    readonly 316: "Cursed Eye";
    readonly 317: "Mysterious Liquid";
    readonly 318: "Gemini";
    readonly 319: "Cain's Other Eye";
    readonly 320: "???'s Only Friend";
    readonly 321: "Samson's Chains";
    readonly 322: "Mongo Baby";
    readonly 323: "Isaac's Tears";
    readonly 324: "Undefined";
    readonly 325: "Scissors";
    readonly 326: "Breath of Life";
    readonly 327: "The Polaroid";
    readonly 328: "The Negative";
    readonly 329: "The Ludovico Technique";
    readonly 330: "Soy Milk";
    readonly 331: "Godhead";
    readonly 332: "Lazarus' Rags";
    readonly 333: "The Mind";
    readonly 334: "The Body";
    readonly 335: "The Soul";
    readonly 336: "Dead Onion";
    readonly 337: "Broken Watch";
    readonly 338: "The Boomerang";
    readonly 339: "Safety Pin";
    readonly 340: "Caffeine Pill";
    readonly 341: "Torn Photo";
    readonly 342: "Blue Cap";
    readonly 343: "Latch Key";
    readonly 344: "Match Book";
    readonly 345: "Synthoil";
    readonly 346: "A Snack";
    readonly 347: "Diplopia";
    readonly 348: "Placebo";
    readonly 349: "Wooden Nickel";
    readonly 350: "Toxic Shock";
    readonly 351: "Mega Bean";
    readonly 352: "Glass Cannon";
    readonly 353: "Bomber Boy";
    readonly 354: "Crack Jacks";
    readonly 355: "Mom's Pearls";
    readonly 356: "Car Battery";
    readonly 357: "Box of Friends";
    readonly 358: "The Wiz";
    readonly 359: "8 Inch Nails";
    readonly 360: "Incubus";
    readonly 361: "Fate's Reward";
    readonly 362: "Lil Chest";
    readonly 363: "Sworn Protector";
    readonly 364: "Friend Zone";
    readonly 365: "Lost Fly";
    readonly 366: "Scatter Bombs";
    readonly 367: "Sticky Bombs";
    readonly 368: "Epiphora";
    readonly 369: "Continuum";
    readonly 370: "Mr. Dolly";
    readonly 371: "Curse of the Tower";
    readonly 372: "Charged Baby";
    readonly 373: "Dead Eye";
    readonly 374: "Holy Light";
    readonly 375: "Host Hat";
    readonly 376: "Restock";
    readonly 377: "Bursting Sack";
    readonly 378: "Number Two";
    readonly 379: "Pupula Duplex";
    readonly 380: "Pay To Play";
    readonly 381: "Eden's Blessing";
    readonly 382: "Friendly Ball";
    readonly 383: "Tear Detonator";
    readonly 384: "Lil Gurdy";
    readonly 385: "Bumbo";
    readonly 386: "D12";
    readonly 387: "Censer";
    readonly 388: "Key Bum";
    readonly 389: "Rune Bag";
    readonly 390: "Seraphim";
    readonly 391: "Betrayal";
    readonly 392: "Zodiac";
    readonly 393: "Serpent's Kiss";
    readonly 394: "Marked";
    readonly 395: "Tech X";
    readonly 396: "Ventricle Razor";
    readonly 397: "Tractor Beam";
    readonly 398: "God's Flesh";
    readonly 399: "Maw of the Void";
    readonly 400: "Spear of Destiny";
    readonly 401: "Explosivo";
    readonly 402: "Chaos";
    readonly 403: "Spider Mod";
    readonly 404: "Farting Baby";
    readonly 405: "GB Bug";
    readonly 406: "D8";
    readonly 407: "Purity";
    readonly 408: "Athame";
    readonly 409: "Empty Vessel";
    readonly 410: "Evil Eye";
    readonly 411: "Lusty Blood";
    readonly 412: "Cambion Conception";
    readonly 413: "Immaculate Conception";
    readonly 414: "More Options";
    readonly 415: "Crown of Light";
    readonly 416: "Deep Pockets";
    readonly 417: "Succubus";
    readonly 418: "Fruit Cake";
    readonly 419: "Teleport 2.0";
    readonly 420: "Black Powder";
    readonly 421: "Kidney Bean";
    readonly 422: "Glowing Hourglass";
    readonly 423: "Circle of Protection";
    readonly 424: "Sack Head";
    readonly 425: "Night Light";
    readonly 426: "Obsessed Fan";
    readonly 427: "Mine Crafter";
    readonly 428: "PJs";
    readonly 429: "Head of the Keeper";
    readonly 430: "Papa Fly";
    readonly 431: "Multidimensional Baby";
    readonly 432: "Glitter Bombs";
    readonly 433: "My Shadow";
    readonly 434: "Jar of Flies";
    readonly 435: "Lil Loki";
    readonly 436: "Milk!";
    readonly 437: "D7";
    readonly 438: "Binky";
    readonly 439: "Mom's Box";
    readonly 440: "Kidney Stone";
    readonly 441: "Mega Blast";
    readonly 442: "Dark Prince's Crown";
    readonly 443: "Apple!";
    readonly 444: "Lead Pencil";
    readonly 445: "Dog Tooth";
    readonly 446: "Dead Tooth";
    readonly 447: "Linger Bean";
    readonly 448: "Shard of Glass";
    readonly 449: "Metal Plate";
    readonly 450: "Eye of Greed";
    readonly 451: "Tarot Cloth";
    readonly 452: "Varicose Veins";
    readonly 453: "Compound Fracture";
    readonly 454: "Polydactyly";
    readonly 455: "Dad's Lost Coin";
    readonly 456: "Midnight Snack";
    readonly 457: "Cone Head";
    readonly 458: "Belly Button";
    readonly 459: "Sinus Infection";
    readonly 460: "Glaucoma";
    readonly 461: "Parasitoid";
    readonly 462: "Eye of Belial";
    readonly 463: "Sulfuric Acid";
    readonly 464: "Glyph of Balance";
    readonly 465: "Analog Stick";
    readonly 466: "Contagion";
    readonly 467: "Finger!";
    readonly 468: "Shade";
    readonly 469: "Depression";
    readonly 470: "Hushy";
    readonly 471: "Lil Monstro";
    readonly 472: "King Baby";
    readonly 473: "Big Chubby";
    readonly 474: "Broken Glass Cannon";
    readonly 475: "Plan C";
    readonly 476: "D1";
    readonly 477: "Void";
    readonly 478: "Pause";
    readonly 479: "Smelter";
    readonly 480: "Compost";
    readonly 481: "Dataminer";
    readonly 482: "Clicker";
    readonly 483: "Mama Mega!";
    readonly 484: "Wait What?";
    readonly 485: "Crooked Penny";
    readonly 486: "Dull Razor";
    readonly 487: "Potato Peeler";
    readonly 488: "Metronome";
    readonly 489: "D infinity";
    readonly 490: "Eden's Soul";
    readonly 491: "Acid Baby";
    readonly 492: "YO LISTEN!";
    readonly 493: "Adrenaline";
    readonly 494: "Jacob's Ladder";
    readonly 495: "Ghost Pepper";
    readonly 496: "Euthanasia";
    readonly 497: "Camo Undies";
    readonly 498: "Duality";
    readonly 499: "Eucharist";
    readonly 500: "Sack of Sacks";
    readonly 501: "Greed's Gullet";
    readonly 502: "Large Zit";
    readonly 503: "Little Horn";
    readonly 504: "Brown Nugget";
    readonly 505: "Poke Go";
    readonly 506: "Backstabber";
    readonly 507: "Sharp Straw";
    readonly 508: "Mom's Razor";
    readonly 509: "Bloodshot Eye";
    readonly 510: "Delirious";
    readonly 511: "Angry Fly";
    readonly 512: "Black Hole";
    readonly 513: "Bozo";
    readonly 514: "Broken Modem";
    readonly 515: "Mystery Gift";
    readonly 516: "Sprinkler";
    readonly 517: "Fast Bombs";
    readonly 518: "Buddy in a Box";
    readonly 519: "Lil Delirium";
    readonly 520: "Jumper Cables";
    readonly 521: "Coupon";
    readonly 522: "Telekinesis";
    readonly 523: "Moving Box";
    readonly 524: "Technology Zero";
    readonly 525: "Leprosy";
    readonly 526: "7 Seals";
    readonly 527: "Mr. ME!";
    readonly 528: "Angelic Prism";
    readonly 529: "Pop!";
    readonly 530: "Death's List";
    readonly 531: "Haemolacria";
    readonly 532: "Lachryphagy";
    readonly 533: "Trisagion";
    readonly 534: "Schoolbag";
    readonly 535: "Blanket";
    readonly 536: "Sacrificial Altar";
    readonly 537: "Lil Spewer";
    readonly 538: "Marbles";
    readonly 539: "Mystery Egg";
    readonly 540: "Flat Stone";
    readonly 541: "Marrow";
    readonly 542: "Slipped Rib";
    readonly 543: "Hallowed Ground";
    readonly 544: "Pointy Rib";
    readonly 545: "Book of the Dead";
    readonly 546: "Dad's Ring";
    readonly 547: "Divorce Papers";
    readonly 548: "Jaw Bone";
    readonly 549: "Brittle Bones";
    readonly 550: "Broken Shovel";
    readonly 551: "Broken Shovel";
    readonly 552: "Mom's Shovel";
    readonly 553: "Mucormycosis";
    readonly 554: "2Spooky";
    readonly 555: "Golden Razor";
    readonly 556: "Sulfur";
    readonly 557: "Fortune Cookie";
    readonly 558: "Eye Sore";
    readonly 559: "120 Volt";
    readonly 560: "It Hurts";
    readonly 561: "Almond Milk";
    readonly 562: "Rock Bottom";
    readonly 563: "Nancy Bombs";
    readonly 564: "A Bar of Soap";
    readonly 565: "Blood Puppy";
    readonly 566: "Dream Catcher";
    readonly 567: "Paschal Candle";
    readonly 568: "Divine Intervention";
    readonly 569: "Blood Oath";
    readonly 570: "Playdough Cookie";
    readonly 571: "Orphan Socks";
    readonly 572: "Eye of the Occult";
    readonly 573: "Immaculate Heart";
    readonly 574: "Monstrance";
    readonly 575: "The Intruder";
    readonly 576: "Dirty Mind";
    readonly 577: "Damocles";
    readonly 578: "Free Lemonade";
    readonly 579: "Spirit Sword";
    readonly 580: "Red Key";
    readonly 581: "Psy Fly";
    readonly 582: "Wavy Cap";
    readonly 583: "Rocket in a Jar";
    readonly 584: "Book of Virtues";
    readonly 585: "Alabaster Box";
    readonly 586: "The Stairway";
    readonly 588: "Sol";
    readonly 589: "Luna";
    readonly 590: "Mercurius";
    readonly 591: "Venus";
    readonly 592: "Terra";
    readonly 593: "Mars";
    readonly 594: "Jupiter";
    readonly 595: "Saturnus";
    readonly 596: "Uranus";
    readonly 597: "Neptunus";
    readonly 598: "Pluto";
    readonly 599: "Voodoo Head";
    readonly 600: "Eye Drops";
    readonly 601: "Act of Contrition";
    readonly 602: "Member Card";
    readonly 603: "Battery Pack";
    readonly 604: "Mom's Bracelet";
    readonly 605: "The Scooper";
    readonly 606: "Ocular Rift";
    readonly 607: "Boiled Baby";
    readonly 608: "Freezer Baby";
    readonly 609: "Eternal D6";
    readonly 610: "Bird Cage";
    readonly 611: "Larynx";
    readonly 612: "Lost Soul";
    readonly 614: "Blood Bombs";
    readonly 615: "Lil Dumpy";
    readonly 616: "Bird's Eye";
    readonly 617: "Lodestone";
    readonly 618: "Rotten Tomato";
    readonly 619: "Birthright";
    readonly 621: "Red Stew";
    readonly 622: "Genesis";
    readonly 623: "Sharp Key";
    readonly 624: "Booster Pack";
    readonly 625: "Mega Mush";
    readonly 626: "Knife Piece 1";
    readonly 627: "Knife Piece 2";
    readonly 628: "Death Certificate";
    readonly 629: "Bot Fly";
    readonly 631: "Meat Cleaver";
    readonly 632: "Evil Charm";
    readonly 633: "Dogma";
    readonly 634: "Purgatory";
    readonly 635: "Stitches";
    readonly 636: "R Key";
    readonly 637: "Knockout Drops";
    readonly 638: "Eraser";
    readonly 639: "Yuck Heart";
    readonly 640: "Urn of Souls";
    readonly 641: "Akeldama";
    readonly 642: "Magic Skin";
    readonly 643: "Revelation";
    readonly 644: "Consolation Prize";
    readonly 645: "Tinytoma";
    readonly 646: "Brimstone Bombs";
    readonly 647: "4.5 Volt";
    readonly 649: "Fruity Plum";
    readonly 650: "Plum Flute";
    readonly 651: "Star of Bethlehem";
    readonly 652: "Cube Baby";
    readonly 653: "Vade Retro";
    readonly 654: "False PHD";
    readonly 655: "Spin to Win";
    readonly 656: "Damocles (Passive)";
    readonly 657: "Vasculitis";
    readonly 658: "Giant Cell";
    readonly 659: "Tropicamide";
    readonly 660: "Card Reading";
    readonly 661: "Quints";
    readonly 663: "Tooth and Nail";
    readonly 664: "Binge Eater";
    readonly 665: "Guppy's Eye";
    readonly 667: "Strawman";
    readonly 668: "Dad's Note";
    readonly 669: "Sausage";
    readonly 670: "Options?";
    readonly 671: "Candy Heart";
    readonly 672: "A Pound of Flesh";
    readonly 673: "Redemption";
    readonly 674: "Spirit Shackles";
    readonly 675: "Cracked Orb";
    readonly 676: "Empty Heart";
    readonly 677: "Astral Projection";
    readonly 678: "C Section";
    readonly 679: "Lil Abaddon";
    readonly 680: "Montezuma's Revenge";
    readonly 681: "Lil Portal";
    readonly 682: "Worm Friend";
    readonly 683: "Bone Spurs";
    readonly 684: "Hungry Soul";
    readonly 685: "Jar of Wisps";
    readonly 686: "Soul Locket";
    readonly 687: "Friend Finder";
    readonly 688: "Inner Child";
    readonly 689: "Glitched Crown";
    readonly 690: "Belly Jelly";
    readonly 691: "Sacred Orb";
    readonly 692: "Sanguine Bond";
    readonly 693: "The Swarm";
    readonly 694: "Heartbreak";
    readonly 695: "Bloody Gust";
    readonly 696: "Salvation";
    readonly 697: "Vanishing Twin";
    readonly 698: "Twisted Pair";
    readonly 699: "Azazel's Rage";
    readonly 700: "Echo Chamber";
    readonly 701: "Isaac's Tomb";
    readonly 702: "Vengeful Spirit";
    readonly 703: "Esau Jr.";
    readonly 704: "Berserk!";
    readonly 705: "Dark Arts";
    readonly 706: "Abyss";
    readonly 707: "Supper";
    readonly 708: "Stapler";
    readonly 709: "Suplex!";
    readonly 710: "Bag of Crafting";
    readonly 711: "Flip";
    readonly 712: "Lemegeton";
    readonly 713: "Sumptorium";
    readonly 714: "Recall";
    readonly 715: "Hold";
    readonly 716: "Keeper's Sack";
    readonly 717: "Keeper's Kin";
    readonly 719: "Keeper's Box";
    readonly 720: "Everything Jar";
    readonly 721: "TMTRAINER";
    readonly 722: "Anima Sola";
    readonly 723: "Spindown Dice";
    readonly 724: "Hypercoagulation";
    readonly 725: "IBS";
    readonly 726: "Hemoptysis";
    readonly 727: "Ghost Bombs";
    readonly 728: "Gello";
    readonly 729: "Decap Attack";
    readonly 730: "Glass Eye";
    readonly 731: "Stye";
    readonly 732: "Mom's Ring";
};
//# sourceMappingURL=collectibleNames.d.ts.map